Package org.apache.lucene.analysis.bn

## Class BengaliStemmer

- java.lang.Object
- - org.apache.lucene.analysis.bn.BengaliStemmer

-     public class BengaliStemmer
      extends Object

  Stemmer for Bengali.

  The algorithm is based on the report in: Natural Language Processing in an Indian Language (Bengali)-I: Verb Phrase Analysis P Sengupta and B B Chaudhuri

  Few Stemmer criteria are taken from: http://members.unine.ch/jacques.savoy/clef/BengaliStemmerLight.java.txt

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BengaliStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `stem​(char[] buffer, int len)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BengaliStemmer

          public BengaliStemmer()

  - ### Method Detail

    - #### stem

          public int stem​(char[] buffer,
                          int len)